Bug 71496 - EDITING: Inserting a Paragraph below a Protected Section is not Possible if Cursor is not Allowed in Protected Areas
Summary: EDITING: Inserting a Paragraph below a Protected Section is not Possible if C...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Section
  Show dependency treegraph
 
Reported: 2013-11-11 15:03 UTC by Harald Koester
Modified: 2021-11-28 04:07 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2013-11-11 15:03:22 UTC
Problem description: 

Steps to reproduce:
[1] Open a new text document.
[2] Disable option “LibreOffice Writer → Formatting Aids → Cursor in protected areas“.
[3] Type in some text. Then Enter.
[4] Type in another word and mark this word. No Enter!
[5] Insert a section within the marked word and protect the section. 
[6] Now it is not possible to insert a paragraph below the section. Expected: It should be possible to move the cursor after the last character of the section. Then Alt+Enter should insert a new paragraph below the section.

See also enhance proposal in bug 51689 according creating paragraphs above and below of tables, indexes and sections.
Operating System: Windows 7
Version: 4.1.2.3 release
Comment 1 Robert Großkopf 2013-11-11 17:40:52 UTC
I have tested this. You could not add a new row after the section, when the section is protected and the cursor isn't allowed in protected areas.
It's the same behavior in LO 3.0.0. beta1, so I set the first version as Inherited from OOo. It's also the same in LO 4.2.0.0 from 2013-11-07.
I have tested with OpenSuSE 12.3 64bit Linux. So I set the platform to all.
Comment 2 QA Administrators 2015-04-19 03:22:01 UTC Comment hidden (obsolete)
Comment 3 Robert Großkopf 2015-04-19 08:06:45 UTC
The described bug still exists.

Tested with LO Version: 4.4.3.1
Build-ID: b2f347f2ac68821efc00b6f1793cda90af748118
Gebietsschema: de_DE
on OpenSUSE 13.2 64bit rpm Linux.
Comment 4 Xisco Faulí 2017-09-29 08:51:35 UTC Comment hidden (obsolete)
Comment 5 Harald Koester 2017-11-02 10:22:37 UTC
Checked again with 5.4.2. Bug still exists in version 5.4.2 (64 Bit, Win 10). 

The name of the option is changed a bit: "... > Formatting Aids > Protected Areas > Enable cursor".
Comment 6 QA Administrators 2018-11-03 03:49:36 UTC Comment hidden (obsolete)
Comment 7 Harald Koester 2018-11-08 09:36:37 UTC
Bug still exists with version 6.1.3 (64 bit, Win10).
Comment 8 QA Administrators 2019-11-09 03:53:27 UTC Comment hidden (obsolete)
Comment 9 Harald Koester 2019-11-28 14:32:56 UTC
Bug still exists in version 6.3.3 (64 bit, Win 10).
Comment 10 QA Administrators 2021-11-28 04:07:49 UTC
Dear Harald Koester,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug